#include <iostream.h>
class liczba 
{
  public:
  enum {MAX=1002};
  char d[MAX]; // przynajmniej
  int dl; // dlugosc w cyfrach
  // pierwsza cyfra jest najmniej znaczaca
  liczba() {clear();}
  static liczba add(liczba& a, liczba& b,int przes=0);
  static liczba sub(liczba& a, liczba& b);
  static liczba mul(liczba& a,int b);
  void wysw(int dl,char zn=0);
  void wczyt();
  void clear() { for (int i=0;i<MAX;i++) d[i]=0; dl=0; }
};

void liczba::wczyt()
{
   char c;
   int i=0;
   clear();
   cin.get(c);
   while ((c>='0')&&(c<='9'))
   {
      d[i++]=c-'0';
      cin.get(c);
   }
   cin.unget();
   dl=i;
   i--;
   int j = 0;
   while (i>j) { char t=d[i]; d[i]=d[j]; d[j]=t; i--; j++; }
}

void liczba::wysw(int dl, char zn=0)
{
   int i=MAX-1,j;
   if (zn) dl--;
   while ((d[i]==0)&&(i>0)) i--;
   for (j=0;j<dl-i-1;j++) cout<<' ';
   if (zn) cout<<zn;
   for (j=i;j>=0;--j)
   {
      cout<<int(d[j]);
   }
}

liczba liczba::mul(liczba& a, int b)
{
   int przen=0;
   liczba wyn;
   for (int i=0; i< a.dl+1; i++)
   {
      int w=a.d[i]*b+przen;
      wyn.d[i]=w%10;
      przen=w/10;
   }
   if (wyn.d[a.dl]==0) wyn.dl=a.dl; else wyn.dl=a.dl+1;
   if(b==0) wyn.dl=1;
   return wyn;
}

liczba liczba::add(liczba& a, liczba& b, int przes=0)
{
   int przen=0;
   liczba wyn;
   int max=a.dl>b.dl+przes?a.dl+1:b.dl+przes+1;
   for (int i=0;i<max;i++)
   {
      int w;
      if (i<przes) w=a.d[i]; else
         w=a.d[i]+b.d[i-przes]+przen;
      wyn.d[i]=w>9?w-10:w;
      if (w>9) przen=1; else przen=0;
   }
   int ldl=a.dl>b.dl+przes?a.dl:b.dl+przes;
   if (wyn.d[ldl]==0) wyn.dl=ldl; else wyn.dl=ldl+1;
   return wyn;
}

liczba liczba::sub(liczba& a, liczba& b)
{
   int przen=0;
   liczba wyn;
   int max=a.dl>b.dl?a.dl+1:b.dl+1;
   for (int i=0;i<max;i++)
   {
      int w=a.d[i]-b.d[i]-przen;
      wyn.d[i]=w<0?w+10:w;
      if (w<0) przen=1; else przen=0;
   }
//   int ldl=a.dl>b.dl?a.dl:b.dl;
//   if (wyn.d[ldl]==0) wyn.dl=ldl; else wyn.dl=ldl+1;
   int ldl=max;
   while (wyn.d[ldl]==0) ldl--;
   wyn.dl=ldl+1;
   return wyn;
}

void run() {
   int T,ldl,j,rdl;
   cin>>T;
   liczba a,b;
   liczba temp[500];
   char oper,dummy;
   int p;
   cin.get(oper);
   for (int i=0;i<T;i++) {
      a.wczyt(); cin.get(oper);
      b.wczyt(); if (i<T-1) cin.get(dummy);
      liczba wyn;
      switch(oper) {
      case '+' : 
         wyn=liczba::add(a,b);

         ldl=a.dl;
         if (ldl<b.dl+1) ldl=b.dl+1;
         if (ldl<wyn.dl) ldl=wyn.dl;
         a.wysw(ldl); cout<<endl;
         b.wysw(ldl,oper); cout<<endl;
         for (j=0;j<ldl;j++) cout<<'-';
         cout<<endl;
         wyn.wysw(ldl); cout<<endl<<endl;
         break;
      case '-' : 
         wyn=liczba::sub(a,b);

         ldl=a.dl;
         if (ldl<b.dl+1) ldl=b.dl+1;
         if (ldl<wyn.dl) ldl=wyn.dl;
         a.wysw(ldl); cout<<endl;
         b.wysw(ldl,oper); cout<<endl;
         p = b.dl+1>wyn.dl?b.dl+1:wyn.dl;
//         cout<<'|'<<p<<'|'<<wyn.dl<<'|';
         for (j=0;j<ldl-p;j++) cout<<' ';
         for (j=0;j<p;j++) cout<<'-';
         cout<<endl;
         wyn.wysw(ldl); cout<<endl<<endl;
         break;
    case '*' :
         if (b.dl==1) {
         for (j=0;j<b.dl;j++) {
            temp[j].clear();
            temp[j]=liczba::mul(a,b.d[j]);
            wyn=liczba::add(wyn,temp[j],j);
         }
         // czesciowe sumy

         ldl=b.dl+1;
         if (ldl<wyn.dl) ldl=wyn.dl;
         a.wysw(ldl); cout<<endl;
         b.wysw(ldl,oper); cout<<endl;
         //dash
/*         rdl=a.dl>b.dl+1?a.dl:b.dl+1;
         for (j=0;j<ldl-rdl;j++) cout<<' ';
         for (j=0;j<rdl;j++) cout<<'-'; cout<<endl;
         for (j=0;j<b.dl;j++) {
            temp[j].wysw(ldl-j); cout<<endl;
         }*/
         // dash
//                  for (j=0;j<ldl-wyn.dl;j++) cout<<' ';
         for (j=0;j<ldl;j++) cout<<'-'; cout<<endl;
         wyn.wysw(ldl); cout<< endl<<endl;
         } else {
         
         for (j=0;j<b.dl;j++) {
            temp[j].clear();
            temp[j]=liczba::mul(a,b.d[j]);
            wyn=liczba::add(wyn,temp[j],j);
         }
         // czesciowe sumy
         ldl=b.dl+1;
         if (ldl<wyn.dl) ldl=wyn.dl;
         a.wysw(ldl); cout<<endl;
         b.wysw(ldl,oper); cout<<endl;
         //dash
         rdl=temp[0].dl>b.dl+1?temp[0].dl:b.dl+1;
//         cout<<'|'<<temp[0].dl<<'|';
         for (j=0;j<ldl-rdl;j++) cout<<' ';
         for (j=0;j<rdl;j++) cout<<'-'; cout<<endl;
         for (j=0;j<b.dl;j++) {
            temp[j].wysw(ldl-j); cout<<endl;
         }
         // dash
         for (j=0;j<ldl-wyn.dl;j++) cout<<' ';
         for (j=0;j<wyn.dl;j++) cout<<'-'; cout<<endl;
         wyn.wysw(ldl); cout<< endl<<endl;
         }
    default:;
      }
   }

}

int main() {
/*   liczba a,b;
   a.wczyt(); cout<<endl;
   b.wczyt(); cout<<endl;
   a.wysw(20); cout<<endl;
   a=liczba::add(a,b);
   a=liczba::mul(a,9);
   a.wysw(20); cout<<endl;*/
   run();
   return 0;
}
